Create User
POST /enum.api.v1.ObjectStorageUserService/CreateObjectStorageUser
POST
/enum.api.v1.ObjectStorageUserService/CreateObjectStorageUser
Creates an object storage user with no permissions. Attach a managed policy or put an inline policy before issuing keys that need S3 access.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
projectId
string
displayName
Deprecated: use name instead. Still accepted for backwards compatibility
and will be removed in a future API version.
string
name
Unique name of the object storage user within the project. Replaces display_name.
string
regionId
Region for the user. When empty, the project’s default_region_id is used.
string
Responses
Section titled “ Responses ”OK
object
objectStorageUser
object
id
string
projectId
string
displayName
Deprecated: use name instead. This field is still populated on responses
for backwards compatibility and will be removed in a future API version.
string
createdBy
string
createdAt
string format: date-time
updatedAt
string format: date-time
status
string format: enum
name
Unique name of the object storage user within the project. Replaces display_name.
string
regionId
Region where the user lives (e.g. “fra”).
string